Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network199.85.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
199.85.0.0
Broadcast address
199.85.127.255
First usable
199.85.0.1
Last usable
199.85.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex C7550000 · Integer 3344236544 to 3344269311
Reverse DNS zones
0.85.199.in-addr.arpa
1.85.199.in-addr.arpa
2.85.199.in-addr.arpa
3.85.199.in-addr.arpa
4.85.199.in-addr.arpa
5.85.199.in-addr.arpa
6.85.199.in-addr.arpa
7.85.199.in-addr.arpa
8.85.199.in-addr.arpa
9.85.199.in-addr.arpa
10.85.199.in-addr.arpa
11.85.199.in-addr.arpa
12.85.199.in-addr.arpa
13.85.199.in-addr.arpa
14.85.199.in-addr.arpa
15.85.199.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000111.01010101.00000000.00000000199.85.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11000111.01010101.00000000.00000000199.85.0.0
Broadcast11000111.01010101.01111111.11111111199.85.127.255
Split into smaller subnets/24

199.85.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1199.85.0.0/24199.85.0.1 to 199.85.0.254199.85.0.255254
2199.85.1.0/24199.85.1.1 to 199.85.1.254199.85.1.255254
3199.85.2.0/24199.85.2.1 to 199.85.2.254199.85.2.255254
4199.85.3.0/24199.85.3.1 to 199.85.3.254199.85.3.255254
5199.85.4.0/24199.85.4.1 to 199.85.4.254199.85.4.255254
6199.85.5.0/24199.85.5.1 to 199.85.5.254199.85.5.255254
7199.85.6.0/24199.85.6.1 to 199.85.6.254199.85.6.255254
8199.85.7.0/24199.85.7.1 to 199.85.7.254199.85.7.255254
9199.85.8.0/24199.85.8.1 to 199.85.8.254199.85.8.255254
10199.85.9.0/24199.85.9.1 to 199.85.9.254199.85.9.255254
11199.85.10.0/24199.85.10.1 to 199.85.10.254199.85.10.255254
12199.85.11.0/24199.85.11.1 to 199.85.11.254199.85.11.255254
13199.85.12.0/24199.85.12.1 to 199.85.12.254199.85.12.255254
14199.85.13.0/24199.85.13.1 to 199.85.13.254199.85.13.255254
15199.85.14.0/24199.85.14.1 to 199.85.14.254199.85.14.255254
16199.85.15.0/24199.85.15.1 to 199.85.15.254199.85.15.255254
17199.85.16.0/24199.85.16.1 to 199.85.16.254199.85.16.255254
18199.85.17.0/24199.85.17.1 to 199.85.17.254199.85.17.255254
19199.85.18.0/24199.85.18.1 to 199.85.18.254199.85.18.255254
20199.85.19.0/24199.85.19.1 to 199.85.19.254199.85.19.255254
21199.85.20.0/24199.85.20.1 to 199.85.20.254199.85.20.255254
22199.85.21.0/24199.85.21.1 to 199.85.21.254199.85.21.255254
23199.85.22.0/24199.85.22.1 to 199.85.22.254199.85.22.255254
24199.85.23.0/24199.85.23.1 to 199.85.23.254199.85.23.255254
25199.85.24.0/24199.85.24.1 to 199.85.24.254199.85.24.255254
26199.85.25.0/24199.85.25.1 to 199.85.25.254199.85.25.255254
27199.85.26.0/24199.85.26.1 to 199.85.26.254199.85.26.255254
28199.85.27.0/24199.85.27.1 to 199.85.27.254199.85.27.255254
29199.85.28.0/24199.85.28.1 to 199.85.28.254199.85.28.255254
30199.85.29.0/24199.85.29.1 to 199.85.29.254199.85.29.255254
31199.85.30.0/24199.85.30.1 to 199.85.30.254199.85.30.255254
32199.85.31.0/24199.85.31.1 to 199.85.31.254199.85.31.255254
33199.85.32.0/24199.85.32.1 to 199.85.32.254199.85.32.255254
34199.85.33.0/24199.85.33.1 to 199.85.33.254199.85.33.255254
35199.85.34.0/24199.85.34.1 to 199.85.34.254199.85.34.255254
36199.85.35.0/24199.85.35.1 to 199.85.35.254199.85.35.255254
37199.85.36.0/24199.85.36.1 to 199.85.36.254199.85.36.255254
38199.85.37.0/24199.85.37.1 to 199.85.37.254199.85.37.255254
39199.85.38.0/24199.85.38.1 to 199.85.38.254199.85.38.255254
40199.85.39.0/24199.85.39.1 to 199.85.39.254199.85.39.255254
41199.85.40.0/24199.85.40.1 to 199.85.40.254199.85.40.255254
42199.85.41.0/24199.85.41.1 to 199.85.41.254199.85.41.255254
43199.85.42.0/24199.85.42.1 to 199.85.42.254199.85.42.255254
44199.85.43.0/24199.85.43.1 to 199.85.43.254199.85.43.255254
45199.85.44.0/24199.85.44.1 to 199.85.44.254199.85.44.255254
46199.85.45.0/24199.85.45.1 to 199.85.45.254199.85.45.255254
47199.85.46.0/24199.85.46.1 to 199.85.46.254199.85.46.255254
48199.85.47.0/24199.85.47.1 to 199.85.47.254199.85.47.255254
49199.85.48.0/24199.85.48.1 to 199.85.48.254199.85.48.255254
50199.85.49.0/24199.85.49.1 to 199.85.49.254199.85.49.255254
51199.85.50.0/24199.85.50.1 to 199.85.50.254199.85.50.255254
52199.85.51.0/24199.85.51.1 to 199.85.51.254199.85.51.255254
53199.85.52.0/24199.85.52.1 to 199.85.52.254199.85.52.255254
54199.85.53.0/24199.85.53.1 to 199.85.53.254199.85.53.255254
55199.85.54.0/24199.85.54.1 to 199.85.54.254199.85.54.255254
56199.85.55.0/24199.85.55.1 to 199.85.55.254199.85.55.255254
57199.85.56.0/24199.85.56.1 to 199.85.56.254199.85.56.255254
58199.85.57.0/24199.85.57.1 to 199.85.57.254199.85.57.255254
59199.85.58.0/24199.85.58.1 to 199.85.58.254199.85.58.255254
60199.85.59.0/24199.85.59.1 to 199.85.59.254199.85.59.255254
61199.85.60.0/24199.85.60.1 to 199.85.60.254199.85.60.255254
62199.85.61.0/24199.85.61.1 to 199.85.61.254199.85.61.255254
63199.85.62.0/24199.85.62.1 to 199.85.62.254199.85.62.255254
64199.85.63.0/24199.85.63.1 to 199.85.63.254199.85.63.255254
65199.85.64.0/24199.85.64.1 to 199.85.64.254199.85.64.255254
66199.85.65.0/24199.85.65.1 to 199.85.65.254199.85.65.255254
67199.85.66.0/24199.85.66.1 to 199.85.66.254199.85.66.255254
68199.85.67.0/24199.85.67.1 to 199.85.67.254199.85.67.255254
69199.85.68.0/24199.85.68.1 to 199.85.68.254199.85.68.255254
70199.85.69.0/24199.85.69.1 to 199.85.69.254199.85.69.255254
71199.85.70.0/24199.85.70.1 to 199.85.70.254199.85.70.255254
72199.85.71.0/24199.85.71.1 to 199.85.71.254199.85.71.255254
73199.85.72.0/24199.85.72.1 to 199.85.72.254199.85.72.255254
74199.85.73.0/24199.85.73.1 to 199.85.73.254199.85.73.255254
75199.85.74.0/24199.85.74.1 to 199.85.74.254199.85.74.255254
76199.85.75.0/24199.85.75.1 to 199.85.75.254199.85.75.255254
77199.85.76.0/24199.85.76.1 to 199.85.76.254199.85.76.255254
78199.85.77.0/24199.85.77.1 to 199.85.77.254199.85.77.255254
79199.85.78.0/24199.85.78.1 to 199.85.78.254199.85.78.255254
80199.85.79.0/24199.85.79.1 to 199.85.79.254199.85.79.255254
81199.85.80.0/24199.85.80.1 to 199.85.80.254199.85.80.255254
82199.85.81.0/24199.85.81.1 to 199.85.81.254199.85.81.255254
83199.85.82.0/24199.85.82.1 to 199.85.82.254199.85.82.255254
84199.85.83.0/24199.85.83.1 to 199.85.83.254199.85.83.255254
85199.85.84.0/24199.85.84.1 to 199.85.84.254199.85.84.255254
86199.85.85.0/24199.85.85.1 to 199.85.85.254199.85.85.255254
87199.85.86.0/24199.85.86.1 to 199.85.86.254199.85.86.255254
88199.85.87.0/24199.85.87.1 to 199.85.87.254199.85.87.255254
89199.85.88.0/24199.85.88.1 to 199.85.88.254199.85.88.255254
90199.85.89.0/24199.85.89.1 to 199.85.89.254199.85.89.255254
91199.85.90.0/24199.85.90.1 to 199.85.90.254199.85.90.255254
92199.85.91.0/24199.85.91.1 to 199.85.91.254199.85.91.255254
93199.85.92.0/24199.85.92.1 to 199.85.92.254199.85.92.255254
94199.85.93.0/24199.85.93.1 to 199.85.93.254199.85.93.255254
95199.85.94.0/24199.85.94.1 to 199.85.94.254199.85.94.255254
96199.85.95.0/24199.85.95.1 to 199.85.95.254199.85.95.255254
97199.85.96.0/24199.85.96.1 to 199.85.96.254199.85.96.255254
98199.85.97.0/24199.85.97.1 to 199.85.97.254199.85.97.255254
99199.85.98.0/24199.85.98.1 to 199.85.98.254199.85.98.255254
100199.85.99.0/24199.85.99.1 to 199.85.99.254199.85.99.255254
101199.85.100.0/24199.85.100.1 to 199.85.100.254199.85.100.255254
102199.85.101.0/24199.85.101.1 to 199.85.101.254199.85.101.255254
103199.85.102.0/24199.85.102.1 to 199.85.102.254199.85.102.255254
104199.85.103.0/24199.85.103.1 to 199.85.103.254199.85.103.255254
105199.85.104.0/24199.85.104.1 to 199.85.104.254199.85.104.255254
106199.85.105.0/24199.85.105.1 to 199.85.105.254199.85.105.255254
107199.85.106.0/24199.85.106.1 to 199.85.106.254199.85.106.255254
108199.85.107.0/24199.85.107.1 to 199.85.107.254199.85.107.255254
109199.85.108.0/24199.85.108.1 to 199.85.108.254199.85.108.255254
110199.85.109.0/24199.85.109.1 to 199.85.109.254199.85.109.255254
111199.85.110.0/24199.85.110.1 to 199.85.110.254199.85.110.255254
112199.85.111.0/24199.85.111.1 to 199.85.111.254199.85.111.255254
113199.85.112.0/24199.85.112.1 to 199.85.112.254199.85.112.255254
114199.85.113.0/24199.85.113.1 to 199.85.113.254199.85.113.255254
115199.85.114.0/24199.85.114.1 to 199.85.114.254199.85.114.255254
116199.85.115.0/24199.85.115.1 to 199.85.115.254199.85.115.255254
117199.85.116.0/24199.85.116.1 to 199.85.116.254199.85.116.255254
118199.85.117.0/24199.85.117.1 to 199.85.117.254199.85.117.255254
119199.85.118.0/24199.85.118.1 to 199.85.118.254199.85.118.255254
120199.85.119.0/24199.85.119.1 to 199.85.119.254199.85.119.255254
121199.85.120.0/24199.85.120.1 to 199.85.120.254199.85.120.255254
122199.85.121.0/24199.85.121.1 to 199.85.121.254199.85.121.255254
123199.85.122.0/24199.85.122.1 to 199.85.122.254199.85.122.255254
124199.85.123.0/24199.85.123.1 to 199.85.123.254199.85.123.255254
125199.85.124.0/24199.85.124.1 to 199.85.124.254199.85.124.255254
126199.85.125.0/24199.85.125.1 to 199.85.125.254199.85.125.255254
127199.85.126.0/24199.85.126.1 to 199.85.126.254199.85.126.255254
128199.85.127.0/24199.85.127.1 to 199.85.127.254199.85.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses